Bug 53042 - [FILEOPEN] Bad macros import from xlsm
Summary: [FILEOPEN] Bad macros import from xlsm
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.5.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks: Macro-VBA XLS
  Show dependency treegraph
 
Reported: 2012-08-01 12:59 UTC by Nikolay Morozov
Modified: 2018-08-14 02:33 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (349.36 KB, application/vnd.ms-excel.sheet.macroEnabled.12)
2012-08-01 12:59 UTC, Nikolay Morozov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolay Morozov 2012-08-01 12:59:43 UTC
Created attachment 65031 [details]
sample file

Buttons not working at all
Comment 1 Joel Madero 2013-05-30 16:50:16 UTC
CC'ing Noel on this.

Noel - thoughts? This macro does not work and looks quite complicated. Is it a bug, enhancement, or ??
Comment 2 Noel Power 2013-05-30 19:01:37 UTC
(In reply to comment #1)
> CC'ing Noel on this.
> 
> Noel - thoughts? This macro does not work and looks quite complicated. Is it
> a bug, enhancement, or ??

the macros not getting fired is definitely a bug
regarding execution of the macros that's entirely a different matter, api for example we haven't implemented yet is an enhancement
Comment 3 Commit Notification 2013-06-04 14:36:56 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=25bb9d13b259dbfb73f1412506f0d051b3670089

fix for fdo#53042 fix ole object macro bindings ( for xlsm )



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 tommy27 2014-11-20 06:19:28 UTC
hi Noel and Nikolay,
can we label this as FIXED or the issue is still reproducible?
Comment 5 Xisco Faulí 2016-09-10 16:05:25 UTC
Hi Noel,
I'm setting this ticket back to NEW as it has been inactive for more than 3
months.
Feel free to assign it back to you if you're still working on this.
Regards
Comment 6 Xisco Faulí 2016-10-23 12:54:09 UTC
Hello Noel,
Is this bug already fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 7 QA Administrators 2018-08-14 02:33:01 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug